Create destination
POST/api/v1/purchases/:purchase_id/destinations
Add a new inbound destination for a DID number.
Destination Types:
- SIP addresses (e.g.,
sip:[email protected]) - Phone numbers (e.g.,
18005551234) - Extensions (SIP accounts created within didlogic)
Parameters:
destination- The forwarding target (SIP URI or phone number)dialing_type- Dialing mode:sequence,ring_allorrandomcallhunt- Legacy two-state mirror ofdialing_type(boolean); ignored whendialing_typeis sentactive- Enable/disable this destination (boolean)transport- Transport type code (1 = SIP URI, 4 = Phone number, 5 = SIP device, 10 = Webphone)
Authentication:
- Requires Bearer token in Authorization header:
Authorization: Bearer <token>
Request
Responses
- 200
- 403
- 404
- 422
Successfully creates destination and returns destination details
Returns 403 error when API token is incorrect
Returns the 404 error envelope {"errors":{"base":["data not found"]}} when neither the DID phone number nor its inventory id matches a DID you own.
Returns 422 error with validation messages when destination is incorrect